%global packname  ape
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          5.1
Release:          1%{?dist}
Summary:          Analyses of Phylogenetics and Evolution

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-nlme R-lattice R-graphics R-methods R-stats R-tools R-utils R-parallel R-Rcpp
# Suggests:  R-gee R-expm
# LinkingTo:
# Enhances:

Requires:         R-nlme R-lattice R-graphics R-methods R-stats R-tools R-utils R-parallel R-Rcpp >= 0.12.0
Suggests:         R-gee R-expm
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-nlme R-lattice R-graphics R-methods R-stats R-tools R-utils R-parallel R-Rcpp-devel >= 0.12.0
BuildRequires:    R-gee R-expm

%description
Functions for reading, writing, plotting, and manipulating phylogenetic
trees, analyses of comparative data in a phylogenetic framework, ancestral
character analyses, analyses of diversification and macroevolution,
computing distances from DNA sequences, reading and writing nucleotide
sequences as well as importing from BioConductor, and several tools such
as Mantel's test, generalized skyline plots, graphical exploration of
phylogenetic data (alex, trex, kronoviz), estimation of absolute
evolutionary rates and clock-like trees using mean path lengths and
penalized likelihood, dating trees with non-contemporaneous sequences,
translating DNA into AA sequences, and assessing sequence alignments.
Phylogeny estimation can be done with the NJ, BIONJ, ME, MVR, SDM, and
triangle methods, and several methods handling incomplete distance
matrices (NJ*, BIONJ*, MVR*, and the corresponding triangle method). Some
functions call external applications (PhyML, Clustal, T-Coffee, Muscle)
whose results are returned into R.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
# need R-igraph as of 5.1
%if 0
%{_bindir}/R CMD check %{packname}
%endif

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/CITATION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/data


%changelog
* Wed May 16 2018 Tom Callaway <spot@fedoraproject.org> - 5.1-1
- update to 5.1, rebuild for R 3.5.0

* Fri Mar 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 5.0-1
- initial package for Fedora
